body {
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow: hidden;
    background-color: rgb(240, 240, 240);
    color: black;
    transition: background-color 0.2s, color 0.2s;
    font-size: 14px;
}

body.dark-mode {
    background-color: #2e2e2e;
    color: #e0e0e0;
}

.navbar-color {
    background-color: steelblue;
    color: white;
}

body.dark-mode .navbar-color {
    background-color: rgb(48, 93, 129); 
}

.banner {
    border: 1px solid lightgray;
}

body.dark-mode .banner {
    border: 1px solid gray;
}

.hover-border:hover {
    border-color: steelblue;
    border-width: 3px;
}   

.form-check-input:checked {
    background-color: #389fff;
}

.page {
    display: flex;
    flex: 1 1 auto;
    overflow: hidden;
}

.page-element {
    background-color: white;
}

body.dark-mode .page-element {
    background-color:#3a3a3a;
    color: #e0e0e0;
}

.main-content {
    width: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    scrollbar-width: thin;
    scrollbar-color: gray transparent;
}

.app {
    display: flex;
    position: relative;
    height: 125px;
    width: 425px;
    padding: 0.25rem;
    border: 2px solid transparent;
    border-radius: 1rem;
    transition: border-color 0.3s ease;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);

}

.app:hover {
    border: 2px solid steelblue;
    border-radius: 1rem;
}

.app-image {
    border-radius: 9999px;
}

.app-body {
    padding-left: 0.75rem;
    width: 100%;
    height: 100%;
    overflow: hidden;   
}

.app-text {
    overflow: hidden;
}

.material-symbols-outlined {
    background: none;
    border: none;
    z-index: 999;
}

body.dark-mode .material-symbols-outlined {
    color: white;
}

.material-symbols-outlined:hover {
    opacity: 50%;
}

.material-symbols-outlined.filled {
    font-variation-settings: 'FILL' 1, 'wght' 400, 'GRAD' 0, 'opsz' 48;
}